@charset "utf-8";

.page-nav{
  width: 80%;
}

.scale-link{
  transform-origin: left;
}

.scale-link:hover{
  transform: scale(1.02);
}

/* WORKS個別記事 */

article{
  display: flex;
  flex-direction: column;
  width: 90%;
  margin: 0 auto;
  margin-bottom: var(--margin-l);
  gap: var(--margin-m);

}

@media (min-width:1000px) {
  article{
    width: 60%;
    gap: var(--margin-l);
    margin-bottom: calc(var(--margin-l)*2);

  }
}

.detail-title-wrapper{
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: var(--fs-m);
}


/* 日付 */

.detail-date-wrapper{
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  line-height: var(--fs-s);
  color: var(--color-accent);
}

.year{
  font-size: var(--fs-m);
  transform: translateX(2px);
}
.month{
  font-size: var(--fs-l);
}

@media (min-width:1000px) {

  .detail-date-wrapper{
    line-height: 20px;
  }

  .year{
    font-size: var(--fs-l);
  }

  .month{
    font-size: var(--fs-xl);
  }
  
}

/* タイトル */
.detail-title{
  display: flex;
  flex-direction: column;
  gap: 3px;
}

@media (min-width:1000px) {
  .detail-title{
    gap: var(--fs-xs);
  }
}

.detail-title-type{
  font-size: var(--fs-xs);
  font-weight: var(--font-weight-n);
}

/* サムネイル */

.detail-img{
  border: 1px solid var(--color-accent);
}
/* URL */
.detail-url{
  display: flex;
  flex-direction: row;
  gap: var(--margin-xs);
  color: var(--color-accent);
  font-weight: var(--font-weight-b);
}

.works-section-wrapper{
  display: flex;
  flex-direction: column;
  gap: var(--margin-m);
}

@media (min-width:1000px) {

  .works-section-wrapper{
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: var(--margin-l);
  }

}

.works-memo-wrapper{
  line-height: var(--margin-m);
}

/* WORKS一覧ページ */

.main-inner.works>p{
  width: 80%;
  margin: 0 auto;
}
.works-list{
  display: flex;
  flex-direction: column;
  gap: var(--margin-m);
  width: 80%;
  margin: 0 auto;
  margin-top: var(--margin-l);
  margin-bottom: var(--margin-l);
}

.works-list>li>a{
  display: flex;
  flex-direction: column;
  gap: var(--margin-xs);
}

@media (min-width:1000px) {
  .main-inner.works>p,
  .works-list{
    width: 60%;
  }
  .main-inner.works>p{
    text-align: center;
  }

  .works-list{
    gap: var(--margin-l);
  }

  .works-list>li>a{
    flex-direction: row;
    gap: var(--margin-m);
    align-items: flex-end;
  }

  .works-list>li>a>.detail-img{
    width: 50%;
  }
}